# Uses of Interface
org.opensaml.xmlsec.encryption.IterationCount

Packages that use IterationCount
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of IterationCount in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return IterationCount
Modifier and Type
Method
Description
`IterationCount`
PBKDF2Params.`getIterationCount()`
Get the IterationCount child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type IterationCount
Modifier and Type
Method
Description
`void`
PBKDF2Params.`setIterationCount(IterationCount count)`
Set the IterationCount child element.

## Uses of IterationCount in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement IterationCount
Modifier and Type
Class
Description
`class`
`IterationCountImpl`
Concrete implementation of `IterationCount`.
Fields in org.opensaml.xmlsec.encryption.impl declared as IterationCount
Modifier and Type
Field
Description
`private IterationCount`
PBKDF2ParamsImpl.`iterationCount`
IterationCount child element.
Methods in org.opensaml.xmlsec.encryption.impl that return IterationCount
Modifier and Type
Method
Description
`IterationCount`
IterationCountBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`IterationCount`
IterationCountBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`IterationCount`
PBKDF2ParamsImpl.`getIterationCount()`
Get the IterationCount child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type IterationCount
Modifier and Type
Method
Description
`void`
PBKDF2ParamsImpl.`setIterationCount(IterationCount count)`
Set the IterationCount child element.